Page MenuHomePhabricator

Provide UI to let users switch to threads/rooms other than the 6 most recent
Closed, WontfixPublic

Description

There is no spec for this yet.

See original discussion in T7380. Currently, there's no convenient way to access threads other than the 6 you most recently participated in.

  • The likely fix for this is a 7th [...] button which provides some options.
  • However, exactly what lives there is murky. We should complete more features in the iteration before locking it down.
  • We don't need to figure this out to test/develop the column, and it's a long way away from shipping anyway.

Event Timeline

epriestley updated the task description. (Show Details)
epriestley raised the priority of this task from to Normal.
epriestley added a project: Conpherence.
epriestley added subscribers: joshuaspence, qgil, sshannin and 3 others.
epriestley moved this task from Backlog to v2 on the Conpherence board.Mar 16 2015, 9:41 PM
chad moved this task from v2 to v3 on the Conpherence board.Mar 19 2015, 3:08 PM

I think adding a "View in Column" button to the Conpherence dropdown menu (and maybe making that menu show a few more items, like 10 instead of 5?) could push the specifics of this out.

+----+
| ,O |
+----+--------------------------------------------+
| Phacility                                       |
| epriestley: no one must learn our secrets   [>] |  
+-------------------------------------------------+

                                               ^
                                               |
                        New icon for    -------+
                        opening thread
                        in column

Although maybe that overlaps so much that it doesn't really help. Having some way to do that from the browse view, maybe?

This feels like it ends up being some separate UI that we don't have a really easy way to build right now.

epriestley moved this task from v3 to v4 on the Conpherence board.Feb 16 2016, 1:38 PM
epriestley edited projects, added Conpherence (v4); removed Conpherence.
chad closed this task as Wontfix.Oct 16 2016, 12:57 AM
chad claimed this task.

Going to pass on this overall, not sure it's worth effort an I'd rather 'pin' favorites that be able seem room #10 from the list of most recent rooms. Happy to revisit if it seems to scratch an actual itch users have.